
_uart1:

;MyProject.mbas,50 :: 		sub procedure uart1()
;MyProject.mbas,51 :: 		if (UART1_Data_Ready() <> 0) then  ' If data is received,
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__uart12
;MyProject.mbas,53 :: 		uart_rd = UART1_Read()
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _uart_rd+0
	CLRF       _uart_rd+1
;MyProject.mbas,58 :: 		Lcd_Out(2,11,msg)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _msg+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L__uart12:
;MyProject.mbas,60 :: 		end sub
L_end_uart1:
	RETURN
; end of _uart1

_process:

;MyProject.mbas,62 :: 		sub procedure process()  ' process  LED blink indicator
;MyProject.mbas,63 :: 		portb.7=1
	BSF        PORTB+0, 7
;MyProject.mbas,64 :: 		Delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__process5:
	DECFSZ     R13+0, 1
	GOTO       L__process5
	DECFSZ     R12+0, 1
	GOTO       L__process5
	DECFSZ     R11+0, 1
	GOTO       L__process5
	NOP
	NOP
;MyProject.mbas,66 :: 		portb.7=0
	BCF        PORTB+0, 7
;MyProject.mbas,67 :: 		Delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__process6:
	DECFSZ     R13+0, 1
	GOTO       L__process6
	DECFSZ     R12+0, 1
	GOTO       L__process6
	DECFSZ     R11+0, 1
	GOTO       L__process6
	NOP
	NOP
;MyProject.mbas,68 :: 		portb.7=1
	BSF        PORTB+0, 7
;MyProject.mbas,69 :: 		Delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__process7:
	DECFSZ     R13+0, 1
	GOTO       L__process7
	DECFSZ     R12+0, 1
	GOTO       L__process7
	DECFSZ     R11+0, 1
	GOTO       L__process7
	NOP
	NOP
;MyProject.mbas,71 :: 		portb.7=0
	BCF        PORTB+0, 7
;MyProject.mbas,73 :: 		end sub
L_end_process:
	RETURN
; end of _process

_allon:

;MyProject.mbas,75 :: 		sub procedure allon()
;MyProject.mbas,76 :: 		porta=%11111111
	MOVLW      255
	MOVWF      PORTA+0
;MyProject.mbas,77 :: 		portc=%11111111
	MOVLW      255
	MOVWF      PORTC+0
;MyProject.mbas,79 :: 		end sub
L_end_allon:
	RETURN
; end of _allon

_L1go:

;MyProject.mbas,80 :: 		sub procedure L1go()
;MyProject.mbas,81 :: 		porta.0=0 'stop off lane1
	BCF        PORTA+0, 0
;MyProject.mbas,82 :: 		porta.1=0  'ready  off lane1
	BCF        PORTA+0, 1
;MyProject.mbas,83 :: 		porta.2=1  'go on lane 1
	BSF        PORTA+0, 2
;MyProject.mbas,84 :: 		end sub
L_end_L1go:
	RETURN
; end of _L1go

_L1rd:

;MyProject.mbas,85 :: 		sub procedure L1rd()
;MyProject.mbas,86 :: 		porta.0=0 'stop off lane1
	BCF        PORTA+0, 0
;MyProject.mbas,87 :: 		porta.1=1  'ready  on lane1
	BSF        PORTA+0, 1
;MyProject.mbas,88 :: 		porta.2=0  'go off lane 1
	BCF        PORTA+0, 2
;MyProject.mbas,89 :: 		end sub
L_end_L1rd:
	RETURN
; end of _L1rd

_L1stop:

;MyProject.mbas,90 :: 		sub procedure L1stop()
;MyProject.mbas,91 :: 		porta.0=1 'stop onlane1
	BSF        PORTA+0, 0
;MyProject.mbas,92 :: 		porta.1=0  'ready  off lane1
	BCF        PORTA+0, 1
;MyProject.mbas,93 :: 		porta.2=0  'go off lane 1
	BCF        PORTA+0, 2
;MyProject.mbas,94 :: 		end sub
L_end_L1stop:
	RETURN
; end of _L1stop

_L2go:

;MyProject.mbas,96 :: 		sub procedure L2go()
;MyProject.mbas,97 :: 		porta.3=0 'stop off lane1
	BCF        PORTA+0, 3
;MyProject.mbas,98 :: 		porta.4=0  'ready  off lane1
	BCF        PORTA+0, 4
;MyProject.mbas,99 :: 		porta.5=1  'go on lane 1
	BSF        PORTA+0, 5
;MyProject.mbas,100 :: 		end sub
L_end_L2go:
	RETURN
; end of _L2go

_L2rd:

;MyProject.mbas,101 :: 		sub procedure L2rd()
;MyProject.mbas,102 :: 		porta.3=0 'stop off lane1
	BCF        PORTA+0, 3
;MyProject.mbas,103 :: 		porta.4=1  'ready  on lane1
	BSF        PORTA+0, 4
;MyProject.mbas,104 :: 		porta.5=0  'go off lane 1
	BCF        PORTA+0, 5
;MyProject.mbas,105 :: 		end sub
L_end_L2rd:
	RETURN
; end of _L2rd

_L2stop:

;MyProject.mbas,106 :: 		sub procedure L2stop()
;MyProject.mbas,107 :: 		porta.3=1 'stop onlane1
	BSF        PORTA+0, 3
;MyProject.mbas,108 :: 		porta.4=0  'ready  off lane1
	BCF        PORTA+0, 4
;MyProject.mbas,109 :: 		porta.5=0  'go off lane 1
	BCF        PORTA+0, 5
;MyProject.mbas,110 :: 		end sub
L_end_L2stop:
	RETURN
; end of _L2stop

_L3go:

;MyProject.mbas,112 :: 		sub procedure L3go()
;MyProject.mbas,113 :: 		portc.0=0 'stop off lane1
	BCF        PORTC+0, 0
;MyProject.mbas,114 :: 		portc.1=0  'ready  off lane1
	BCF        PORTC+0, 1
;MyProject.mbas,115 :: 		portc.2=1  'go on lane 1
	BSF        PORTC+0, 2
;MyProject.mbas,116 :: 		end sub
L_end_L3go:
	RETURN
; end of _L3go

_L3rd:

;MyProject.mbas,117 :: 		sub procedure L3rd()
;MyProject.mbas,118 :: 		portc.0=0 'stop off lane1
	BCF        PORTC+0, 0
;MyProject.mbas,119 :: 		portc.1=1  'ready  on lane1
	BSF        PORTC+0, 1
;MyProject.mbas,120 :: 		portc.2=0  'go off lane 1
	BCF        PORTC+0, 2
;MyProject.mbas,121 :: 		end sub
L_end_L3rd:
	RETURN
; end of _L3rd

_L3stop:

;MyProject.mbas,122 :: 		sub procedure L3stop()
;MyProject.mbas,123 :: 		portc.0=1 'stop onlane1
	BSF        PORTC+0, 0
;MyProject.mbas,124 :: 		portc.1=0  'ready  off lane1
	BCF        PORTC+0, 1
;MyProject.mbas,125 :: 		portc.2=0  'go off lane 1
	BCF        PORTC+0, 2
;MyProject.mbas,126 :: 		end sub
L_end_L3stop:
	RETURN
; end of _L3stop

_L4go:

;MyProject.mbas,128 :: 		sub procedure L4go()
;MyProject.mbas,129 :: 		portc.3=0 'stop off lane1
	BCF        PORTC+0, 3
;MyProject.mbas,130 :: 		portc.4=0  'ready  off lane1
	BCF        PORTC+0, 4
;MyProject.mbas,131 :: 		portc.5=1  'go on lane 1
	BSF        PORTC+0, 5
;MyProject.mbas,132 :: 		end sub
L_end_L4go:
	RETURN
; end of _L4go

_L4rd:

;MyProject.mbas,133 :: 		sub procedure L4rd()
;MyProject.mbas,134 :: 		portc.3=0 'stop off lane1
	BCF        PORTC+0, 3
;MyProject.mbas,135 :: 		portc.4=1  'ready  on lane1
	BSF        PORTC+0, 4
;MyProject.mbas,136 :: 		portc.5=0  'go off lane 1
	BCF        PORTC+0, 5
;MyProject.mbas,137 :: 		end sub
L_end_L4rd:
	RETURN
; end of _L4rd

_L4stop:

;MyProject.mbas,138 :: 		sub procedure L4stop()
;MyProject.mbas,139 :: 		portc.3=1 'stop onlane1
	BSF        PORTC+0, 3
;MyProject.mbas,140 :: 		portc.4=0  'ready  off lane1
	BCF        PORTC+0, 4
;MyProject.mbas,141 :: 		portc.5=0  'go off lane 1
	BCF        PORTC+0, 5
;MyProject.mbas,142 :: 		end sub
L_end_L4stop:
	RETURN
; end of _L4stop

_counter:

;MyProject.mbas,143 :: 		sub procedure counter()
;MyProject.mbas,144 :: 		cnt= 21
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,145 :: 		cnt1=6
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,146 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,147 :: 		cnt3=6  'delay
	MOVLW      6
	MOVWF      _cnt3+0
;MyProject.mbas,148 :: 		cnt4=40 'emergency
	MOVLW      40
	MOVWF      _cnt4+0
;MyProject.mbas,149 :: 		end sub
L_end_counter:
	RETURN
; end of _counter

_main:

;MyProject.mbas,150 :: 		main:
;MyProject.mbas,151 :: 		ANSEL=0          '16F887
	CLRF       ANSEL+0
;MyProject.mbas,152 :: 		ANSELH=0       '16F887
	CLRF       ANSELH+0
;MyProject.mbas,153 :: 		ADCON1 = 0x80             ' A/D voltage reference is VCC
	MOVLW      128
	MOVWF      ADCON1+0
;MyProject.mbas,154 :: 		car2=0
	CLRF       _car2+0
;MyProject.mbas,155 :: 		car1=5
	MOVLW      5
	MOVWF      _car1+0
;MyProject.mbas,158 :: 		TRISA=0
	CLRF       TRISA+0
;MyProject.mbas,159 :: 		TRISB = 0
	CLRF       TRISB+0
;MyProject.mbas,160 :: 		TRISC=0
	CLRF       TRISC+0
;MyProject.mbas,161 :: 		TRISD = 0
	CLRF       TRISD+0
;MyProject.mbas,162 :: 		porta=%00000000
	CLRF       PORTA+0
;MyProject.mbas,163 :: 		portc=%00000000
	CLRF       PORTC+0
;MyProject.mbas,164 :: 		porte=%00000000
	CLRF       PORTE+0
;MyProject.mbas,165 :: 		portd=%00000000
	CLRF       PORTD+0
;MyProject.mbas,166 :: 		portb=%00000000
	CLRF       PORTB+0
;MyProject.mbas,167 :: 		Keypad_Init()       ' Initialize keypad on PORTC
	CALL       _Keypad_Init+0
;MyProject.mbas,168 :: 		Lcd_Init()          ' Initialize LCD on PORTB,
	CALL       _Lcd_Init+0
;MyProject.mbas,169 :: 		Lcd_Cmd(_LCD_CLEAR) ' Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,173 :: 		UART1_Init(9600)
	MOVLW      51
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;MyProject.mbas,174 :: 		Delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main24:
	DECFSZ     R13+0, 1
	GOTO       L__main24
	DECFSZ     R12+0, 1
	GOTO       L__main24
	DECFSZ     R11+0, 1
	GOTO       L__main24
	NOP
	NOP
;MyProject.mbas,176 :: 		UART1_Write_Text("connected ")
	MOVLW      99
	MOVWF      ?LocalText_main+0
	MOVLW      111
	MOVWF      ?LocalText_main+1
	MOVLW      110
	MOVWF      ?LocalText_main+2
	MOVLW      110
	MOVWF      ?LocalText_main+3
	MOVLW      101
	MOVWF      ?LocalText_main+4
	MOVLW      99
	MOVWF      ?LocalText_main+5
	MOVLW      116
	MOVWF      ?LocalText_main+6
	MOVLW      101
	MOVWF      ?LocalText_main+7
	MOVLW      100
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	CLRF       ?LocalText_main+10
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;MyProject.mbas,180 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,181 :: 		Lcd_Out(1,1,"WifiTrafficLight")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      87
	MOVWF      ?LocalText_main+0
	MOVLW      105
	MOVWF      ?LocalText_main+1
	MOVLW      102
	MOVWF      ?LocalText_main+2
	MOVLW      105
	MOVWF      ?LocalText_main+3
	MOVLW      84
	MOVWF      ?LocalText_main+4
	MOVLW      114
	MOVWF      ?LocalText_main+5
	MOVLW      97
	MOVWF      ?LocalText_main+6
	MOVLW      102
	MOVWF      ?LocalText_main+7
	MOVLW      102
	MOVWF      ?LocalText_main+8
	MOVLW      105
	MOVWF      ?LocalText_main+9
	MOVLW      99
	MOVWF      ?LocalText_main+10
	MOVLW      76
	MOVWF      ?LocalText_main+11
	MOVLW      105
	MOVWF      ?LocalText_main+12
	MOVLW      103
	MOVWF      ?LocalText_main+13
	MOVLW      104
	MOVWF      ?LocalText_main+14
	MOVLW      116
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,182 :: 		Lcd_Out(2,1,"Noofa & Latifa  ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      78
	MOVWF      ?LocalText_main+0
	MOVLW      111
	MOVWF      ?LocalText_main+1
	MOVLW      111
	MOVWF      ?LocalText_main+2
	MOVLW      102
	MOVWF      ?LocalText_main+3
	MOVLW      97
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      38
	MOVWF      ?LocalText_main+6
	MOVLW      32
	MOVWF      ?LocalText_main+7
	MOVLW      76
	MOVWF      ?LocalText_main+8
	MOVLW      97
	MOVWF      ?LocalText_main+9
	MOVLW      116
	MOVWF      ?LocalText_main+10
	MOVLW      105
	MOVWF      ?LocalText_main+11
	MOVLW      102
	MOVWF      ?LocalText_main+12
	MOVLW      97
	MOVWF      ?LocalText_main+13
	MOVLW      32
	MOVWF      ?LocalText_main+14
	MOVLW      32
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,183 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main25:
	DECFSZ     R13+0, 1
	GOTO       L__main25
	DECFSZ     R12+0, 1
	GOTO       L__main25
	DECFSZ     R11+0, 1
	GOTO       L__main25
	NOP
	NOP
;MyProject.mbas,186 :: 		kp = 0            ' Start of program
	CLRF       _kp+0
;MyProject.mbas,187 :: 		s1=1   'space for character before passkey
	MOVLW      1
	MOVWF      _s1+0
;MyProject.mbas,188 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,195 :: 		while true          ' Wait for some key to be pressed and released
L__main28:
;MyProject.mbas,202 :: 		if (UART1_Data_Ready() <> 0) then  ' If data is received,
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__main33
;MyProject.mbas,204 :: 		uart_rd = UART1_Read()
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _uart_rd+0
	CLRF       _uart_rd+1
;MyProject.mbas,205 :: 		UART1_Write(uart_rd)
	MOVF       _uart_rd+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;MyProject.mbas,206 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,207 :: 		inttostr(uart_rd,msg)     'display to lcd
	MOVF       _uart_rd+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _uart_rd+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _msg+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;MyProject.mbas,208 :: 		Lcd_Out(2,11,msg)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _msg+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,210 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main183
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main183:
	BTFSS      STATUS+0, 2
	GOTO       L__main38
;MyProject.mbas,211 :: 		reset:
L__main_reset:
;MyProject.mbas,212 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,213 :: 		delay1:  'lane1
L__main_delay1:
;MyProject.mbas,215 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,216 :: 		Lcd_Out(1,1,"LANE1 GO     ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      76
	MOVWF      ?LocalText_main+0
	MOVLW      65
	MOVWF      ?LocalText_main+1
	MOVLW      78
	MOVWF      ?LocalText_main+2
	MOVLW      69
	MOVWF      ?LocalText_main+3
	MOVLW      49
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      71
	MOVWF      ?LocalText_main+6
	MOVLW      79
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	CLRF       ?LocalText_main+13
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,217 :: 		L1go()
	CALL       _L1go+0
;MyProject.mbas,218 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,219 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,220 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,221 :: 		dec(cnt)
	DECF       _cnt+0, 1
;MyProject.mbas,222 :: 		WordToStr(cnt,count)
	MOVF       _cnt+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,223 :: 		Lcd_Out(1,11,count)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,224 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main42:
	DECFSZ     R13+0, 1
	GOTO       L__main42
	DECFSZ     R12+0, 1
	GOTO       L__main42
	DECFSZ     R11+0, 1
	GOTO       L__main42
	NOP
	NOP
;MyProject.mbas,226 :: 		if (cnt=0) then
	MOVF       _cnt+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main44
;MyProject.mbas,227 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,228 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,229 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,230 :: 		cnt3=6  'delay
	MOVLW      6
	MOVWF      _cnt3+0
;MyProject.mbas,231 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,232 :: 		goto delay2
	GOTO       L__main_delay2
L__main44:
;MyProject.mbas,235 :: 		goto delay1 'end of delay 1
	GOTO       L__main_delay1
;MyProject.mbas,238 :: 		delay2:
L__main_delay2:
;MyProject.mbas,239 :: 		Lcd_Out(1,1,"READY LANE2    ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      82
	MOVWF      ?LocalText_main+0
	MOVLW      69
	MOVWF      ?LocalText_main+1
	MOVLW      65
	MOVWF      ?LocalText_main+2
	MOVLW      68
	MOVWF      ?LocalText_main+3
	MOVLW      89
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      76
	MOVWF      ?LocalText_main+6
	MOVLW      65
	MOVWF      ?LocalText_main+7
	MOVLW      78
	MOVWF      ?LocalText_main+8
	MOVLW      69
	MOVWF      ?LocalText_main+9
	MOVLW      50
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      32
	MOVWF      ?LocalText_main+13
	MOVLW      32
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,240 :: 		L1rd()
	CALL       _L1rd+0
;MyProject.mbas,241 :: 		L2rd()
	CALL       _L2rd+0
;MyProject.mbas,242 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,243 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,244 :: 		cnt=21  'reset delay stop
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,245 :: 		cnt3=6  'delay
	MOVLW      6
	MOVWF      _cnt3+0
;MyProject.mbas,246 :: 		dec(cnt1)
	DECF       _cnt1+0, 1
;MyProject.mbas,247 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main47:
	DECFSZ     R13+0, 1
	GOTO       L__main47
	DECFSZ     R12+0, 1
	GOTO       L__main47
	DECFSZ     R11+0, 1
	GOTO       L__main47
	NOP
	NOP
;MyProject.mbas,248 :: 		WordToStr(cnt1,count1)
	MOVF       _cnt1+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count1+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,249 :: 		Lcd_Out(1,12,count1)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count1+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,250 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main48:
	DECFSZ     R13+0, 1
	GOTO       L__main48
	DECFSZ     R12+0, 1
	GOTO       L__main48
	DECFSZ     R11+0, 1
	GOTO       L__main48
	NOP
	NOP
;MyProject.mbas,252 :: 		if (cnt1=0) then
	MOVF       _cnt1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main50
;MyProject.mbas,253 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,254 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,255 :: 		if (uart_rd=66) then  'emergency lane 1
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main184
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main184:
	BTFSS      STATUS+0, 2
	GOTO       L__main53
;MyProject.mbas,256 :: 		goto em1
	GOTO       L__main_em1
L__main53:
;MyProject.mbas,258 :: 		if (uart_rd=67) then  'emergency lane 2
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main185
	MOVLW      67
	XORWF      _uart_rd+0, 0
L__main185:
	BTFSS      STATUS+0, 2
	GOTO       L__main57
;MyProject.mbas,259 :: 		goto em2
	GOTO       L__main_em2
L__main57:
;MyProject.mbas,261 :: 		if (uart_rd=68) then  'emergency lane 3
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main186
	MOVLW      68
	XORWF      _uart_rd+0, 0
L__main186:
	BTFSS      STATUS+0, 2
	GOTO       L__main61
;MyProject.mbas,262 :: 		goto em3
	GOTO       L__main_em3
L__main61:
;MyProject.mbas,264 :: 		if (uart_rd=69) then  'emergency lane 4
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main187
	MOVLW      69
	XORWF      _uart_rd+0, 0
L__main187:
	BTFSS      STATUS+0, 2
	GOTO       L__main65
L__main65:
;MyProject.mbas,267 :: 		goto delay3
	GOTO       L__main_delay3
L__main50:
;MyProject.mbas,270 :: 		goto delay2 'loop to count
	GOTO       L__main_delay2
;MyProject.mbas,273 :: 		delay3:
L__main_delay3:
;MyProject.mbas,274 :: 		Lcd_Out(1,1,"LANE2 GO     ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      76
	MOVWF      ?LocalText_main+0
	MOVLW      65
	MOVWF      ?LocalText_main+1
	MOVLW      78
	MOVWF      ?LocalText_main+2
	MOVLW      69
	MOVWF      ?LocalText_main+3
	MOVLW      50
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      71
	MOVWF      ?LocalText_main+6
	MOVLW      79
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	CLRF       ?LocalText_main+13
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,275 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,277 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,279 :: 		L2go()
	CALL       _L2go+0
;MyProject.mbas,281 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,283 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,284 :: 		dec(cnt2)
	DECF       _cnt2+0, 1
;MyProject.mbas,285 :: 		WordToStr(cnt2,count2)
	MOVF       _cnt2+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count2+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,286 :: 		Lcd_Out(1,12,count2)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,287 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main68:
	DECFSZ     R13+0, 1
	GOTO       L__main68
	DECFSZ     R12+0, 1
	GOTO       L__main68
	DECFSZ     R11+0, 1
	GOTO       L__main68
	NOP
	NOP
;MyProject.mbas,289 :: 		if (cnt2=0) then
	MOVF       _cnt2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main70
;MyProject.mbas,290 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,291 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,292 :: 		goto delay4
	GOTO       L__main_delay4
L__main70:
;MyProject.mbas,294 :: 		goto delay3 'loo
	GOTO       L__main_delay3
;MyProject.mbas,298 :: 		delay4:
L__main_delay4:
;MyProject.mbas,299 :: 		Lcd_Out(1,1,"READY LANE3    ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      82
	MOVWF      ?LocalText_main+0
	MOVLW      69
	MOVWF      ?LocalText_main+1
	MOVLW      65
	MOVWF      ?LocalText_main+2
	MOVLW      68
	MOVWF      ?LocalText_main+3
	MOVLW      89
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      76
	MOVWF      ?LocalText_main+6
	MOVLW      65
	MOVWF      ?LocalText_main+7
	MOVLW      78
	MOVWF      ?LocalText_main+8
	MOVLW      69
	MOVWF      ?LocalText_main+9
	MOVLW      51
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      32
	MOVWF      ?LocalText_main+13
	MOVLW      32
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,300 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,301 :: 		L2rd()
	CALL       _L2rd+0
;MyProject.mbas,302 :: 		L3rd()
	CALL       _L3rd+0
;MyProject.mbas,303 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,304 :: 		dec(cnt3)
	DECF       _cnt3+0, 1
;MyProject.mbas,305 :: 		WordToStr(cnt3,count3)
	MOVF       _cnt3+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count3+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,306 :: 		Lcd_Out(1,12,count3)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count3+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,307 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main73:
	DECFSZ     R13+0, 1
	GOTO       L__main73
	DECFSZ     R12+0, 1
	GOTO       L__main73
	DECFSZ     R11+0, 1
	GOTO       L__main73
	NOP
	NOP
;MyProject.mbas,309 :: 		if (cnt3=0) then
	MOVF       _cnt3+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main75
;MyProject.mbas,310 :: 		cnt=21  'delay stop
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,311 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,312 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,313 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,314 :: 		if (uart_rd=66) then  'emergency lane 1
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main188
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main188:
	BTFSS      STATUS+0, 2
	GOTO       L__main78
;MyProject.mbas,315 :: 		goto em1
	GOTO       L__main_em1
L__main78:
;MyProject.mbas,317 :: 		if (uart_rd=67) then  'emergency lane 2
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main189
	MOVLW      67
	XORWF      _uart_rd+0, 0
L__main189:
	BTFSS      STATUS+0, 2
	GOTO       L__main81
;MyProject.mbas,318 :: 		goto em2
	GOTO       L__main_em2
L__main81:
;MyProject.mbas,320 :: 		if (uart_rd=68) then  'emergency lane 3
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main190
	MOVLW      68
	XORWF      _uart_rd+0, 0
L__main190:
	BTFSS      STATUS+0, 2
	GOTO       L__main84
;MyProject.mbas,321 :: 		goto em3
	GOTO       L__main_em3
L__main84:
;MyProject.mbas,323 :: 		if (uart_rd=69) then  'emergency lane 4
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main191
	MOVLW      69
	XORWF      _uart_rd+0, 0
L__main191:
	BTFSS      STATUS+0, 2
	GOTO       L__main87
L__main87:
;MyProject.mbas,326 :: 		goto delay5
	GOTO       L__main_delay5
L__main75:
;MyProject.mbas,329 :: 		goto delay4 'loop to count
	GOTO       L__main_delay4
;MyProject.mbas,332 :: 		delay5:
L__main_delay5:
;MyProject.mbas,333 :: 		Lcd_Out(1,1,"LANE3 GO     ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      76
	MOVWF      ?LocalText_main+0
	MOVLW      65
	MOVWF      ?LocalText_main+1
	MOVLW      78
	MOVWF      ?LocalText_main+2
	MOVLW      69
	MOVWF      ?LocalText_main+3
	MOVLW      51
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      71
	MOVWF      ?LocalText_main+6
	MOVLW      79
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	CLRF       ?LocalText_main+13
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,334 :: 		cnt=21 'reset counter for stop
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,335 :: 		cnt1=6  'reset counter for ready to go
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,336 :: 		cnt3=6 'reset timer for ready to stop
	MOVLW      6
	MOVWF      _cnt3+0
;MyProject.mbas,338 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,340 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,342 :: 		L3go()
	CALL       _L3go+0
;MyProject.mbas,344 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,345 :: 		dec(cnt2)
	DECF       _cnt2+0, 1
;MyProject.mbas,346 :: 		WordToStr(cnt2,count2)
	MOVF       _cnt2+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count2+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,347 :: 		Lcd_Out(1,12,count2)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,348 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main90:
	DECFSZ     R13+0, 1
	GOTO       L__main90
	DECFSZ     R12+0, 1
	GOTO       L__main90
	DECFSZ     R11+0, 1
	GOTO       L__main90
	NOP
	NOP
;MyProject.mbas,350 :: 		if (cnt2=0) then
	MOVF       _cnt2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main92
;MyProject.mbas,351 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,352 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,353 :: 		goto delay6
	GOTO       L__main_delay6
L__main92:
;MyProject.mbas,356 :: 		goto delay5 'loop to count
	GOTO       L__main_delay5
;MyProject.mbas,359 :: 		delay6:
L__main_delay6:
;MyProject.mbas,360 :: 		Lcd_Out(1,1,"READY LANE4    ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      82
	MOVWF      ?LocalText_main+0
	MOVLW      69
	MOVWF      ?LocalText_main+1
	MOVLW      65
	MOVWF      ?LocalText_main+2
	MOVLW      68
	MOVWF      ?LocalText_main+3
	MOVLW      89
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      76
	MOVWF      ?LocalText_main+6
	MOVLW      65
	MOVWF      ?LocalText_main+7
	MOVLW      78
	MOVWF      ?LocalText_main+8
	MOVLW      69
	MOVWF      ?LocalText_main+9
	MOVLW      52
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      32
	MOVWF      ?LocalText_main+13
	MOVLW      32
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,362 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,364 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,366 :: 		L3rd()
	CALL       _L3rd+0
;MyProject.mbas,368 :: 		L4rd()
	CALL       _L4rd+0
;MyProject.mbas,369 :: 		dec(cnt3)
	DECF       _cnt3+0, 1
;MyProject.mbas,370 :: 		WordToStr(cnt3,count3)
	MOVF       _cnt3+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count3+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,371 :: 		Lcd_Out(1,12,count3)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count3+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,372 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main95:
	DECFSZ     R13+0, 1
	GOTO       L__main95
	DECFSZ     R12+0, 1
	GOTO       L__main95
	DECFSZ     R11+0, 1
	GOTO       L__main95
	NOP
	NOP
;MyProject.mbas,374 :: 		if (cnt3=0) then
	MOVF       _cnt3+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main97
;MyProject.mbas,376 :: 		cnt=21  'delay stop
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,377 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,378 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,379 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,380 :: 		if (uart_rd=66) then  'emergency lane 1
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main192
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main192:
	BTFSS      STATUS+0, 2
	GOTO       L__main100
;MyProject.mbas,381 :: 		goto em1
	GOTO       L__main_em1
L__main100:
;MyProject.mbas,383 :: 		if (uart_rd=67) then  'emergency lane 2
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main193
	MOVLW      67
	XORWF      _uart_rd+0, 0
L__main193:
	BTFSS      STATUS+0, 2
	GOTO       L__main103
;MyProject.mbas,384 :: 		goto em2
	GOTO       L__main_em2
L__main103:
;MyProject.mbas,386 :: 		if (uart_rd=68) then  'emergency lane 3
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main194
	MOVLW      68
	XORWF      _uart_rd+0, 0
L__main194:
	BTFSS      STATUS+0, 2
	GOTO       L__main106
;MyProject.mbas,387 :: 		goto em3
	GOTO       L__main_em3
L__main106:
;MyProject.mbas,389 :: 		if (uart_rd=69) then  'emergency lane 4
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main195
	MOVLW      69
	XORWF      _uart_rd+0, 0
L__main195:
	BTFSS      STATUS+0, 2
	GOTO       L__main109
L__main109:
;MyProject.mbas,393 :: 		goto delay7
	GOTO       L__main_delay7
L__main97:
;MyProject.mbas,396 :: 		goto delay6 'loop to count
	GOTO       L__main_delay6
;MyProject.mbas,399 :: 		delay7:
L__main_delay7:
;MyProject.mbas,400 :: 		Lcd_Out(1,1,"LANE4 GO     ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      76
	MOVWF      ?LocalText_main+0
	MOVLW      65
	MOVWF      ?LocalText_main+1
	MOVLW      78
	MOVWF      ?LocalText_main+2
	MOVLW      69
	MOVWF      ?LocalText_main+3
	MOVLW      52
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      71
	MOVWF      ?LocalText_main+6
	MOVLW      79
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	CLRF       ?LocalText_main+13
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,401 :: 		cnt=21 'reset counter for stop
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,402 :: 		cnt1=6  'reset counter for ready to go
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,403 :: 		cnt3=6 'reset timer for ready to stop
	MOVLW      6
	MOVWF      _cnt3+0
;MyProject.mbas,404 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,405 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,406 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,407 :: 		L4go()
	CALL       _L4go+0
;MyProject.mbas,408 :: 		dec(cnt2)
	DECF       _cnt2+0, 1
;MyProject.mbas,409 :: 		WordToStr(cnt2,count2)
	MOVF       _cnt2+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count2+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,410 :: 		Lcd_Out(1,12,count2)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,411 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main112:
	DECFSZ     R13+0, 1
	GOTO       L__main112
	DECFSZ     R12+0, 1
	GOTO       L__main112
	DECFSZ     R11+0, 1
	GOTO       L__main112
	NOP
	NOP
;MyProject.mbas,413 :: 		if (cnt2=0) then
	MOVF       _cnt2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main114
;MyProject.mbas,414 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,415 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,416 :: 		goto delay8
	GOTO       L__main_delay8
L__main114:
;MyProject.mbas,419 :: 		goto delay7 'loop to count
	GOTO       L__main_delay7
;MyProject.mbas,422 :: 		delay8:
L__main_delay8:
;MyProject.mbas,423 :: 		Lcd_Out(1,1,"READY LANE1    ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      82
	MOVWF      ?LocalText_main+0
	MOVLW      69
	MOVWF      ?LocalText_main+1
	MOVLW      65
	MOVWF      ?LocalText_main+2
	MOVLW      68
	MOVWF      ?LocalText_main+3
	MOVLW      89
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      76
	MOVWF      ?LocalText_main+6
	MOVLW      65
	MOVWF      ?LocalText_main+7
	MOVLW      78
	MOVWF      ?LocalText_main+8
	MOVLW      69
	MOVWF      ?LocalText_main+9
	MOVLW      49
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      32
	MOVWF      ?LocalText_main+13
	MOVLW      32
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,425 :: 		L1rd()
	CALL       _L1rd+0
;MyProject.mbas,427 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,429 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,431 :: 		L4rd()
	CALL       _L4rd+0
;MyProject.mbas,432 :: 		dec(cnt3)
	DECF       _cnt3+0, 1
;MyProject.mbas,433 :: 		WordToStr(cnt3,count3)
	MOVF       _cnt3+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count3+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,434 :: 		Lcd_Out(1,12,count3)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count3+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,435 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main117:
	DECFSZ     R13+0, 1
	GOTO       L__main117
	DECFSZ     R12+0, 1
	GOTO       L__main117
	DECFSZ     R11+0, 1
	GOTO       L__main117
	NOP
	NOP
;MyProject.mbas,437 :: 		if (cnt3=0) then
	MOVF       _cnt3+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main119
;MyProject.mbas,439 :: 		cnt=21  'delay stop
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,440 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,441 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,442 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,443 :: 		if (uart_rd=66) then  'emergency lane 1
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main196
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main196:
	BTFSS      STATUS+0, 2
	GOTO       L__main122
;MyProject.mbas,444 :: 		goto em1
	GOTO       L__main_em1
L__main122:
;MyProject.mbas,446 :: 		if (uart_rd=67) then  'emergency lane 2
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main197
	MOVLW      67
	XORWF      _uart_rd+0, 0
L__main197:
	BTFSS      STATUS+0, 2
	GOTO       L__main125
;MyProject.mbas,447 :: 		goto em2
	GOTO       L__main_em2
L__main125:
;MyProject.mbas,449 :: 		if (uart_rd=68) then  'emergency lane 3
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main198
	MOVLW      68
	XORWF      _uart_rd+0, 0
L__main198:
	BTFSS      STATUS+0, 2
	GOTO       L__main128
;MyProject.mbas,450 :: 		goto em3
	GOTO       L__main_em3
L__main128:
;MyProject.mbas,452 :: 		if (uart_rd=69) then  'emergency lane 4
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main199
	MOVLW      69
	XORWF      _uart_rd+0, 0
L__main199:
	BTFSS      STATUS+0, 2
	GOTO       L__main131
L__main131:
;MyProject.mbas,455 :: 		goto delay1
	GOTO       L__main_delay1
L__main119:
;MyProject.mbas,458 :: 		goto delay8 'loop to count
	GOTO       L__main_delay8
L__main38:
;MyProject.mbas,462 :: 		if (uart_rd=66) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main200
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main200:
	BTFSS      STATUS+0, 2
	GOTO       L__main134
;MyProject.mbas,463 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,464 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,466 :: 		em1:
L__main_em1:
;MyProject.mbas,467 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,468 :: 		Lcd_Out(2,1,"EMERGENCY L1 Go") 'pc value 54          portd=%10011111               'forward
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      69
	MOVWF      ?LocalText_main+0
	MOVLW      77
	MOVWF      ?LocalText_main+1
	MOVLW      69
	MOVWF      ?LocalText_main+2
	MOVLW      82
	MOVWF      ?LocalText_main+3
	MOVLW      71
	MOVWF      ?LocalText_main+4
	MOVLW      69
	MOVWF      ?LocalText_main+5
	MOVLW      78
	MOVWF      ?LocalText_main+6
	MOVLW      67
	MOVWF      ?LocalText_main+7
	MOVLW      89
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      76
	MOVWF      ?LocalText_main+10
	MOVLW      49
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      71
	MOVWF      ?LocalText_main+13
	MOVLW      111
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,469 :: 		L1go()
	CALL       _L1go+0
;MyProject.mbas,470 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,471 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,472 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,473 :: 		dec(cnt4)
	DECF       _cnt4+0, 1
;MyProject.mbas,474 :: 		WordToStr(cnt4,count4)
	MOVF       _cnt4+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count4+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,475 :: 		Lcd_Out(1,12,count4)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count4+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,476 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main136:
	DECFSZ     R13+0, 1
	GOTO       L__main136
	DECFSZ     R12+0, 1
	GOTO       L__main136
	DECFSZ     R11+0, 1
	GOTO       L__main136
	NOP
	NOP
;MyProject.mbas,477 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,480 :: 		if (cnt4=0) then
	MOVF       _cnt4+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main138
;MyProject.mbas,481 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,482 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,483 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main201
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main201:
	BTFSS      STATUS+0, 2
	GOTO       L__main141
;MyProject.mbas,484 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,485 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,486 :: 		goto delay8
	GOTO       L__main_delay8
L__main141:
;MyProject.mbas,488 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,489 :: 		goto delay8
	GOTO       L__main_delay8
L__main138:
;MyProject.mbas,492 :: 		goto em1
	GOTO       L__main_em1
;MyProject.mbas,498 :: 		em2:
L__main_em2:
;MyProject.mbas,499 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,500 :: 		Lcd_Out(2,1,"EMERGENCY L2 Go") 'pc value 54          portd=%10011111               'forward
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      69
	MOVWF      ?LocalText_main+0
	MOVLW      77
	MOVWF      ?LocalText_main+1
	MOVLW      69
	MOVWF      ?LocalText_main+2
	MOVLW      82
	MOVWF      ?LocalText_main+3
	MOVLW      71
	MOVWF      ?LocalText_main+4
	MOVLW      69
	MOVWF      ?LocalText_main+5
	MOVLW      78
	MOVWF      ?LocalText_main+6
	MOVLW      67
	MOVWF      ?LocalText_main+7
	MOVLW      89
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      76
	MOVWF      ?LocalText_main+10
	MOVLW      50
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      71
	MOVWF      ?LocalText_main+13
	MOVLW      111
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,502 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,504 :: 		L2go()
	CALL       _L2go+0
;MyProject.mbas,506 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,508 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,509 :: 		dec(cnt4)
	DECF       _cnt4+0, 1
;MyProject.mbas,510 :: 		WordToStr(cnt4,count4)
	MOVF       _cnt4+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count4+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,511 :: 		Lcd_Out(1,12,count4)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count4+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,512 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main146:
	DECFSZ     R13+0, 1
	GOTO       L__main146
	DECFSZ     R12+0, 1
	GOTO       L__main146
	DECFSZ     R11+0, 1
	GOTO       L__main146
	NOP
	NOP
;MyProject.mbas,513 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,516 :: 		if (cnt4=0) then
	MOVF       _cnt4+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main148
;MyProject.mbas,517 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,518 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,519 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main202
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main202:
	BTFSS      STATUS+0, 2
	GOTO       L__main151
;MyProject.mbas,520 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,521 :: 		goto reset
	GOTO       L__main_reset
L__main151:
;MyProject.mbas,523 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,524 :: 		goto delay2
	GOTO       L__main_delay2
L__main148:
;MyProject.mbas,527 :: 		goto em2
	GOTO       L__main_em2
;MyProject.mbas,535 :: 		em3:
L__main_em3:
;MyProject.mbas,536 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,537 :: 		Lcd_Out(2,1,"EMERGENCY L3 Go") 'pc value 54          portd=%10011111               'forward
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      69
	MOVWF      ?LocalText_main+0
	MOVLW      77
	MOVWF      ?LocalText_main+1
	MOVLW      69
	MOVWF      ?LocalText_main+2
	MOVLW      82
	MOVWF      ?LocalText_main+3
	MOVLW      71
	MOVWF      ?LocalText_main+4
	MOVLW      69
	MOVWF      ?LocalText_main+5
	MOVLW      78
	MOVWF      ?LocalText_main+6
	MOVLW      67
	MOVWF      ?LocalText_main+7
	MOVLW      89
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      76
	MOVWF      ?LocalText_main+10
	MOVLW      51
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      71
	MOVWF      ?LocalText_main+13
	MOVLW      111
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,539 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,541 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,543 :: 		L3go()
	CALL       _L3go+0
;MyProject.mbas,545 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,546 :: 		dec(cnt4)
	DECF       _cnt4+0, 1
;MyProject.mbas,547 :: 		WordToStr(cnt4,count4)
	MOVF       _cnt4+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count4+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,548 :: 		Lcd_Out(1,12,count4)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count4+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,549 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main156:
	DECFSZ     R13+0, 1
	GOTO       L__main156
	DECFSZ     R12+0, 1
	GOTO       L__main156
	DECFSZ     R11+0, 1
	GOTO       L__main156
	NOP
	NOP
;MyProject.mbas,550 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,553 :: 		if (cnt4=0) then
	MOVF       _cnt4+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main158
;MyProject.mbas,554 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,555 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,556 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main203
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main203:
	BTFSS      STATUS+0, 2
	GOTO       L__main161
;MyProject.mbas,557 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,558 :: 		goto reset
	GOTO       L__main_reset
L__main161:
;MyProject.mbas,560 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,561 :: 		goto delay4
	GOTO       L__main_delay4
L__main158:
;MyProject.mbas,564 :: 		goto em3
	GOTO       L__main_em3
;MyProject.mbas,572 :: 		end if
L__main134:
;MyProject.mbas,574 :: 		end if
L__main33:
;MyProject.mbas,588 :: 		wend
	GOTO       L__main28
L_end_main:
	GOTO       $+0
; end of _main
